Subject: [netatalk-admins] Re: Problems with netatalk printing

From: Stephen Boulet <[email-masked]>
Date: Mon, 16 Nov 1998 01:17:52 -0600

Werner Eugster wrote:
> 
> Stephen,
> 
> this looks like there is a problem with the .paprc file. Did you check its
> contents, location and permissions?
> 
> Normally, if you use pap -p and specify the printer, then the lpd setup is
> ignored, while via the lpd setup the printer name in .paprc is used.
> 
> Werner
> 
> On Thu, 12 Nov 1998, Stephen Boulet wrote:
> 
> > Thanks for the great FAQ you wrote. I feel as if I am very close to
> > getting my printer (an apple laserwriter 4/600 PS connected to an
> > ethernet hub via a Farallon localtalk-to-ethernet adapter) to work.
> >
> > First, I am able to print using /usr/local/atalk/bin/pap -p.
> >
> >   [root@tolstoy laserwriter]# cat /etc/printcap
> >   #
> >   # This printcap is being created with printtool v.3.27
> >   # Any changes made here manually will be lost if printtool
> >   # is run later on.
> >   # The presence of this header means that no printcap
> >   # existed when printtool was run.
> >   #
> >
> >   ##PRINTTOOL3## LOCAL POSTSCRIPT 600x600 letter {} PostScript Default
> > {}
> >   lp:\
> >         :sd=/var/spool/lpd/laserwriter:\
> >         :lp=/dev/null:\
> >         :pl#63:\
> >         :pw#85:\
> >         :mx#0:\
> >         :sh:\
> >         :sf:\
> >         :lf=/usr/local/atalk/etc/lpd-errs:\
> >         :if=/usr/local/bin/myif:\
> >         :of=/usr/local/atalk/etc/ofpap:
> >
> > When I try to print, I sometimes get a "connection refused" message, or
> > sometimes nothing at all. Here is the output of:
> >   [root@tolstoy stepheb]# lpc
> >   lpc> status
> >   lp:
> >         queuing is enabled
> >         printing is enabled
> >         no entries
> >         no daemon present
> >
> > Thanks.
> >
> > Stephen
> > --
> >
> > Grayslake, IL, USA
> > spboulet at enteract dot com
[snip]

Hmm. Here's the result of the nbplkup command:

  [root@tolstoy stepheb]# /usr/local/atalk/bin/nbplkup
                        tolstoy:AFPServer                         
65280.15:130
                        tolstoy:LaserWriter                       
65280.15:128
                        tolstoy:netatalk                          
65280.15:4
                        tolstoy:Workstation                       
65280.15:4
                     myComputer:  Power Macintosh                 
65403.199:252
                     myComputer:Workstation                       
65403.199:4
           LaserWriter 4/600 PS:LaserWriter                       
65280.85:128

As you can see, there's no appletalk zone associated with the printer.
Is this necessary? How do I find it if it is? And here's my .paprc:

  [root@tolstoy stepheb]# cat /var/spool/lpd/laserwriter/.paprc
  LaserWriter 4/600 PS:LaserWriter

Putting quotes around the printer name doesn't change things.

Thanks for your help.

-- 

Grayslake, IL, USA
spboulet at enteract dot com